<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__lvd__enums" kind="group">
    <compoundname>group_lvd_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__lvd__enums_1ga4eaeaadf154cb3cbc9af0b4abcd56f62" kind="enum" prot="public" static="no">
        <name>cy_en_lvd_tripsel_t</name>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a6c4786a3c532ab8c9cbe3ee76446559d" prot="public">
          <name>CY_LVD_THRESHOLD_1_2_V</name>
          <initializer>= 0x0U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 1.2V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a210f2bcbbbf480104eaf331a5632ee9a" prot="public">
          <name>CY_LVD_THRESHOLD_1_4_V</name>
          <initializer>= 0x1U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 1.4V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a900c1f1e98e09b7e6f812a34b35db2c1" prot="public">
          <name>CY_LVD_THRESHOLD_1_6_V</name>
          <initializer>= 0x2U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 1.6V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62ae0ab723600715751b8e251694f6dc172" prot="public">
          <name>CY_LVD_THRESHOLD_1_8_V</name>
          <initializer>= 0x3U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 1.8V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62aed9b79b39a04a20650a77d6d4adc7a3e" prot="public">
          <name>CY_LVD_THRESHOLD_2_0_V</name>
          <initializer>= 0x4U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.0V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a442152c992e34c0ab08c6fd468619b48" prot="public">
          <name>CY_LVD_THRESHOLD_2_1_V</name>
          <initializer>= 0x5U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.1V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a0e0bb97187980b9ab1b67771b25cd801" prot="public">
          <name>CY_LVD_THRESHOLD_2_2_V</name>
          <initializer>= 0x6U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.2V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a673335b41bfdcea7488f41bf329fd670" prot="public">
          <name>CY_LVD_THRESHOLD_2_3_V</name>
          <initializer>= 0x7U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.3V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62ad4b704de6a347e80d559ce5291231bb1" prot="public">
          <name>CY_LVD_THRESHOLD_2_4_V</name>
          <initializer>= 0x8U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.4V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a5a8a453fdb6ced002661791f4e37c6e4" prot="public">
          <name>CY_LVD_THRESHOLD_2_5_V</name>
          <initializer>= 0x9U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.5V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a3029991cbb2a5088a6bdf5dd94ffdb7b" prot="public">
          <name>CY_LVD_THRESHOLD_2_6_V</name>
          <initializer>= 0xAU</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.6V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a0a9b61adb3828e04d449aa4d0403bd5e" prot="public">
          <name>CY_LVD_THRESHOLD_2_7_V</name>
          <initializer>= 0xBU</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.7V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62abdfcb057cc4ff75e712c7dd24a2389b0" prot="public">
          <name>CY_LVD_THRESHOLD_2_8_V</name>
          <initializer>= 0xCU</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.8V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a536c3be0751704048e935d99582e8b08" prot="public">
          <name>CY_LVD_THRESHOLD_2_9_V</name>
          <initializer>= 0xDU</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.9V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a0f59f6eaf6b0a774a17131cb2ea91724" prot="public">
          <name>CY_LVD_THRESHOLD_3_0_V</name>
          <initializer>= 0xEU</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 3.0V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62ac5eaf0f62614a3c8dad52cf499448da0" prot="public">
          <name>CY_LVD_THRESHOLD_3_1_V</name>
          <initializer>= 0xFU</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 3.1V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_lvd_tripsel_t: </bold><linebreak />LVD reference voltage select.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="204" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="186" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="187" />
      </memberdef>
      <memberdef id="group__group__lvd__enums_1ga86656c2b083eef9b483a09ef4078257e" kind="enum" prot="public" static="no">
        <name>cy_en_lvd_intr_config_t</name>
        <enumvalue id="group__group__lvd__enums_1gga86656c2b083eef9b483a09ef4078257ea64b9050c4cb9668d835d6129dfee27fc" prot="public">
          <name>CY_LVD_INTR_DISABLE</name>
          <initializer>= 0x0U</initializer>
          <briefdescription>
<para>Select LVD interrupt: disabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga86656c2b083eef9b483a09ef4078257ea10426e752ecc7fa75bd36592adcce57b" prot="public">
          <name>CY_LVD_INTR_RISING</name>
          <initializer>= 0x1U</initializer>
          <briefdescription>
<para>Select LVD interrupt: rising edge. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga86656c2b083eef9b483a09ef4078257ea608e21ceb8711e5c0ea2c8bfbb06d907" prot="public">
          <name>CY_LVD_INTR_FALLING</name>
          <initializer>= 0x2U</initializer>
          <briefdescription>
<para>Select LVD interrupt: falling edge. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga86656c2b083eef9b483a09ef4078257eadebb3940980d08388fb545812799a3c8" prot="public">
          <name>CY_LVD_INTR_BOTH</name>
          <initializer>= 0x3U</initializer>
          <briefdescription>
<para>Select LVD interrupt: both edges. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_lvd_intr_config_t: </bold><linebreak />LVD interrupt configuration select.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="215" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="209" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="210" />
      </memberdef>
      <memberdef id="group__group__lvd__enums_1ga8ee282b956b17299990b22e65f15db0b" kind="enum" prot="public" static="no">
        <name>cy_en_lvd_status_t</name>
        <enumvalue id="group__group__lvd__enums_1gga8ee282b956b17299990b22e65f15db0bac26d8123fc042072980b8a35de16f93c" prot="public">
          <name>CY_LVD_STATUS_BELOW</name>
          <initializer>= 0x0U</initializer>
          <briefdescription>
<para>The voltage is below the threshold. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga8ee282b956b17299990b22e65f15db0ba190b50e952ccf1e4c08cc573a4a7806e" prot="public">
          <name>CY_LVD_STATUS_ABOVE</name>
          <initializer>= 0x1U</initializer>
          <briefdescription>
<para>The voltage is above the threshold. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_lvd_status_t: </bold><linebreak />LVD output status.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="224" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="220" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="221" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>